/*
 * @Author: liuzhenlin 461480418@qq.ocm
 * @Date: 2023-01-29 16:17:15
 * @LastEditors: liuzhenlin
 * @LastEditTime: 2023-02-14 16:45:06
 * @Description: file content
 * @FilePath: \crm\api\customer\index.js
 */

import micro_request from '@/utils/micro_request'

const basePath = process.uniEnv.VUE_APP_ParentPath
export default {
  // 创建客户
  createCustomer(query) {
    return micro_request.postRequest(basePath, 'Customer', 'Create', query)
  },
  // 查询客户列表
  getList(query) {
    return micro_request.postRequest(basePath, 'Customer', 'GetList', query)
  },
  // 查询公海列表
  getOpenSeaList(query) {
    return micro_request.postRequest(basePath, 'Customer', 'PublicGetList', query)
  },
  // 查询客户详情
  getDetail(query) {
    return micro_request.postRequest(basePath, 'Customer', 'GetEntityById', query)
  },
  // 移入公海
  moveInOpenSea(query) {
    return micro_request.postRequest(basePath, 'Customer', 'MoveToPubic', query)
  },
  // 客户转移
  transfer(query) {
    return micro_request.postRequest(basePath, 'Customer', 'TransCustomer', query)
  },
  // 客户领用
  collection(query) {
    return micro_request.postRequest(basePath, 'Customer', 'AssignCustomer', query)
  },
  // 客户详情内容摘要
  getAbstract(query) {
    return micro_request.postRequest(basePath, 'Customer', 'GetCustAbstract', query)
  },
  // 创建跟进
  createFollow(query) {
    return micro_request.postRequest(basePath, 'FollowUp', 'Create', query)
  },
  // 跟进信息
  followList(query) {
    return micro_request.postRequest(basePath, 'FollowUp', 'GetList', query)
  },
  // 跟进记录详情
  getListByDay(query) {
    return micro_request.postRequest(basePath, 'FollowUp', 'GetListByDay', query)
  },
  // 查询省市区
  getProvinceDetail(query) {
    return micro_request.postRequest(basePath, 'District', 'GetList', query)
  },
}
